<template>
  <div
    class="buttonPhones"
    :class="{ '-open': isShowPhone}">
    <AppButtonCall
      :is-open="isShowPhone"
      :class="{ '_no-single': phones.length > 1 }"
      @click.native="onShowPhone">
      <!-- TODO - событие onShowPhone перехватывает ссылку и не происходит вызов телефона в мобилке!!!!-->
      <template slot="value">
        {{ phones.length === 1 ? phones[0] : 'Телефоны' }}
        <flink
          v-if="phones.length === 1"
          class="linkOnlyMobile"
          :href="hrefPhone(phones[0])"/>
      </template>
    </AppButtonCall>
    <template v-if="phones.length > 1">
      <flink
        v-for="(phone, i) in phones"
        class="linkIsMobile"
        :key="phone + i"
        :href="hrefPhone(phone)">
        {{ phone }}
      </flink>
    </template>
  </div>
</template>

<script>
import AppButtonCall from '~/components/redesign/app-buttons/app-button-call';

export default {
  name: 'ButtonPhones',
  components: {
    AppButtonCall,
  },
  props: {
    phones: {
      type: Array,
      default() { return []; },
    },
  },
  data() {
    return {
      isShowPhone: false,
    };
  },
  methods: {
    hrefPhone(phone) {
      return `tel:${phone.replace(/[^+\d]/g, '')}`;
    },
    onShowPhone() {
      this.isShowPhone = true;
      this.$emit('call');
    },
  },
};
</script>

<style lang="postcss">
  .buttonPhones {
    display: flex;
    flex-direction: column;
    width: 10rem;

    .buttonCall {
      width: 100%;

      .linkOnlyMobile {
        display: none;
      }
    }

    .linkIsMobile {
      display: none;
      padding-top: 0.5rem;
      width: 100%;
      font-size: 0.875rem;
      font-weight: var(--font-weight-bold);
      color: var(--color-main);
      text-align: center;
      white-space: nowrap;
      cursor: default;
    }

    &.-open .linkIsMobile {
      display: block;
    }

    @media screen and (max-width: 980px) {
      .buttonCall {
        width: 100%;

        &._no-single.-open {
          margin-bottom: 1rem;

          .button-label {
            display: none;
          }

          .button-item {
            font-size: 1rem;
          }
        }

        .linkOnlyMobile {
          position: absolute;
          top: 0;
          left: 0;
          display: block;
          width: 100%;
          height: 100%;
        }
      }

      .linkIsMobile {
        font-size: 1rem;
        padding-bottom: 0.5rem;
        pointer-events: auto;
      }
    }
  }
</style>
